Bug 389191 - bsd-games uses interferes with low number private user group numbers
Summary: bsd-games uses interferes with low number private user group numbers
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bsd-games   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Wart
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-18 09:54 UTC by G.Wolfe Woodbury
Modified: 2007-12-03 11:44 UTC (History)
0 users

Fixed In Version: 2.17-22.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-03 11:44:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description G.Wolfe Woodbury 2007-11-18 09:54:14 UTC
Description of problem:
 The bsd-games packages creates three groups and occupies the first few gid's
that should be assigned to the first few uid's. That is, bsd-games uses gid's
500 (gamehack)  501 (gamesail) and  502 (gamephant).  These gid's should be
reserved for the first few uid's.

Version-Release number of selected component (if applicable):
 bsd-games-2.17-21.fc8

How reproducible:
 Always

Steps to Reproduce:
1. install bsd-games
  
Actual results:
  gid's 500, 501 and 502 are assigned


Expected results:
  gid's should be allocated from the system reserve below 500

Additional info:
  none required

Comment 1 Fedora Update System 2007-11-22 03:31:08 UTC
bsd-games-2.17-22.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bsd-games'

Comment 2 Wart 2007-11-22 03:37:18 UTC
Note that this update will only affect new installs.  If bsd-games has already
created groups with the offending gids, then it won't recreate them with new gids.

Comment 3 Fedora Update System 2007-12-03 11:43:58 UTC
bsd-games-2.17-22.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.